package com.persagy.proxy.migration.constant;

/**
 * @author lvxianyun
 * @title: MigrationTable
 * @projectName adm-middleware
 * @date 2021/12/2 12:24
 */
public enum MigrationTable {
    DTDEFINETYPE("dt_define_type","对象类型定义表"),
    DTDEFINEINFO("dt_define_info","信息点定义表"),
    DTOBJECT("dt_object","对象实例表"),
    DTRELATION("dt_relation","关系实例表"),
    //DTDEFINEGRAPH("dt_define_graph","图类型表"),
    //DTDEFINEREL("dt_define_rel","边类型表"),
    //DTDEFINEINFOCOLLECT("dt_define_info_collect","采集信息点配置表"),
    //DTEQUIPCLASSREL("dt_equip_class_rel","项目设备类边关系表")
    ;

    private String code;
    private String desc;

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    MigrationTable(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    @Override
    public String toString() {
        return this.code + "_" + this.desc;
    }

    public static void main(String[] args) {
        for (MigrationTable key : MigrationTable.values()) {
            System.out.println(key.code + "-----------");
        }
    }
}
